[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# GetLocalTimezone

Return local timzeone information

## Declaration

Source position: line 0

`procedure GetLocalTimezone(`
`timer: LongInt;`
`var leap_correct: LongInt;`
`var leap_hit: LongInt`
`); procedure GetLocalTimezone(`
`timer: LongInt`
`);`

## Description

GetLocalTimeZone returns the local timezone information. It also initializes the TZSeconds variable, which is used to correct the epoch time to local time.

There should never be any need to call this function directly. It is called by the initialization routines of the Linux unit.

## See also

GetTimezoneFile |  | Return name of timezone information file
ReadTimezoneFile |  | Read the timezone file and initialize time routines

Documentation generated on: Feb 26 2014